summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSimon Rettberg2023-02-01 10:35:51 +0100
committerSimon Rettberg2023-02-01 10:35:51 +0100
commit751d5fefd626cba11933e554639845e3c2278b51 (patch)
treee7ea2252c99716b38e42f188e2d82edd5e8f5d33
parentdracut development has moved to github (diff)
downloadsystemd-init-751d5fefd626cba11933e554639845e3c2278b51.tar.gz
systemd-init-751d5fefd626cba11933e554639845e3c2278b51.tar.xz
systemd-init-751d5fefd626cba11933e554639845e3c2278b51.zip
Fix dracut compile for latest version (059)
-rwxr-xr-xbuild-initramfs.sh15
1 files changed, 4 insertions, 11 deletions
diff --git a/build-initramfs.sh b/build-initramfs.sh
index 7424923e..436108f3 100755
--- a/build-initramfs.sh
+++ b/build-initramfs.sh
@@ -344,20 +344,10 @@ parse_command_line() {
## region helper
initialize_dracut() {
pushd "${_dracut_dir}" || exit 1
- # NOTE: On virtualbox shared folder symlinks are not allowed.
- # NOTE: make the dracut-install binary (dracut-install resolves
- # dependencies etc.)
echo 'Compiling dracut.'
./configure || exit 1
- make install/dracut-install || exit 1
- # NOTE: We have to copy the binary to current instead of symlinking
- # them since this feature isn't supported in shared virtual box machine
- # folders.
- # If symlinks would be available we could simply use:
- # >>> make dracut-install
+ make dracut-install || exit 1
popd || exit 1
- cp "${_dracut_dir}/install/dracut-install" \
- "${_dracut_dir}/dracut-install"
return $?
}
@@ -425,6 +415,9 @@ main() {
echo "Dracut isn't available yet loading it."
initialize_dracut
fi
+ # Newer versions want these to exist
+ mkdir -p /etc/dracut.conf.d
+ touch /etc/dracut.conf
for _dracut_module_dir in "${_repo_dir}/modules.d/"*; do
[ -d "${_dracut_module_dir}" ] || continue